package com.ruoyi.file.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.time.LocalDateTime;

public interface FilesService extends IService<Files> {
    // 修改返回类型为 FileUploadResponse
    FileUploadResponse upload(MultipartFile file);

    // 下载文件
    void download(String filesUUID, HttpServletResponse response);

    // 删除文件
    void deleteFile(String filesUUID);

    // 新增查询方法
    Page<Files> queryFiles(String filesName, LocalDateTime startTime, LocalDateTime endTime, Boolean isDeleted, String fileType, Page<Files> page);

}