package com.ruoyi.file.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.file.service.FileSequence;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FileSequenceMapper extends BaseMapper<FileSequence> {

    /**
     * 根据年份和月份获取每月递增值
     */
    FileSequence getByYearAndMonth(@Param("year") Integer year, @Param("month") Integer month);
}